Skip to main content
GET
/
identity
/
identities
/
{identity_id}
/
documents
List Identity Documents
curl --request GET \
  --url https://api.paxos.com/v2/identity/identities/{identity_id}/documents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/identity/identities/{identity_id}/documents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/identity/identities/{identity_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "documents": [
    {
      "file_id": "e1959b03-8c3d-4bdd-9437-403ccf8772f5",
      "name": "test_file.png",
      "document_types": [
        "OTHER_DOCUMENTS",
        "APPLICATION"
      ],
      "created_at": "2023-07-07T23:03:19.170481Z"
    }
  ]
}
{
"detail": "Forbidden",
"status": 403,
"title": "Forbidden",
"type": "about:blank"
}
{
"detail": "Identity with id f6b1365a-dc8e-4526-aa3f-e688826c36be doesn't exist",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
OAuth Scope
identity:read_identity

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide โ†’

Path Parameters

identity_id
string
required

id associated with the identity

Query Parameters

include_pending_docs
boolean

Add a list of pending document types for the identity

Response

A successful response.

documents
A list of documents ยท object[]
pending_documents
enum<string>[]
Available options:
OTHER_DOCUMENTS,
APPLICATION,
ORGANIZATIONAL_DOCUMENTS,
CERTIFICATE_OF_GOOD_STANDING,
TAX_IDENTIFICATION,
IDENTITY_VERIFICATION,
PROOF_OF_RESIDENCY,
PROOF_OF_FUNDS,
SAMPLE_INVOICE,
OPERATING_AGREEMENT,
TRUST_DOCUMENTS,
MONEY_SERVICE_DOCUMENTS,
INVESTMENT_DOCUMENTS,
CURP,
AML_DOCUMENTS,
FUND_STRUCTURE_CHART,
FUND_MANAGER_REGISTRATION,
MEMORANDUM_OF_ASSOCIATION,
ORGANIZATIONAL_CHART,
FOUNDATION_BY_LAWS,
APPOINTMENT_OF_GUARDIAN_EVIDENCE,
LEGAL_DOMICILE_OF_BENEFICIAL_OWNERS,
GOVERNING_BODY_MEMBER_NAMES,
INDEPENDENT_AUDIT